import React from 'react';
import {Route,IndexRoute} from 'react-router';
import AdminPage from './containers/AdminPage';
import SysInfo from './containers/AdminPage/SystemInfo';
import UList from './containers/AdminPage/UserList';
import DIO from './containers/AdminPage/DIO';
import Log from './containers/AdminPage/Log';
import LeOne from './containers/AdminPage/LeOne';
import IOGroup from './containers/AdminPage/IOGroup';
import IOCmd from './containers/AdminPage/IOCmd';
import Schedule from './containers/AdminPage/Schedule';
import Modbus from './containers/AdminPage/Modbus';
import ModbusCmd from './containers/AdminPage/ModbusCmd';
import ActionLink from './containers/AdminPage/ActionLink';
import ActionLinkAdd from './containers/AdminPage/ActionLinkAdd';
import IPCam from './containers/AdminPage/IPCam';

const Routes = (
	<Route path="/admin" component={AdminPage}>
		<IndexRoute component={SysInfo} />
		<Route path="user" component={UList} />
		<Route path="dio" component={DIO} />
		<Route path="log" component={Log} />
		<Route path="leone" component={LeOne} />
		<Route path="iogroup" component={IOGroup} />
		<Route path="iocmd" component={IOCmd} />
		<Route path="schedule" component={Schedule} />
		<Route path="modbus" component={Modbus} />
		<Route path="link" component={ActionLink} />
		<Route path="addlink" component={ActionLinkAdd} />
		<Route path="modbuscmd" component={ModbusCmd} />
		<Route path="ipcam" component={IPCam} />
	</Route>
);

export default Routes;